Apple ha compartido un nuevo documento de soporte que indica que las extensiones del núcleo, que denomina “extensiones de sistema heredadas”, no serán compatibles con una versión futura de macOS porque “no son tan seguras o confiables como las alternativas modernas”.

Las extensiones del sistema son una categoría de software que funciona en segundo plano para ampliar la funcionalidad de su Mac. Algunas aplicaciones instalan extensiones de kernel, que son un tipo de extensión del sistema que funciona utilizando métodos más antiguos que no son tan seguros o confiables como las alternativas modernas. Su Mac los identifica como extensiones de sistema heredadas.

A partir de macOS 10.15.4, lanzado esta semana, aparecerá una advertencia cuando se cargue por primera vez una extensión del kernel, y nuevamente periódicamente mientras la extensión permanezca en uso. Los usuarios comenzaron a notar la advertencia durante las pruebas beta.

Apple dice que comenzó a informar a los desarrolladores que macOS Catalina será el último macOS en admitir completamente las extensiones de kernel en 2019, y agregó que ha estado trabajando con los desarrolladores para hacer la transición de su software. Aún no se ha establecido una fecha de transición final, pero algunos desarrolladores suponen que las extensiones del kernel quedarán obsoletas en macOS 10.16.

Las aplicaciones con extensiones de kernel continuarán funcionando en macOS Catalina.

“Al ir más allá de estas extensiones, los desarrolladores están ayudando a modernizar aún más la Mac, mejorar su seguridad y confiabilidad, y permitir métodos de distribución de software más fáciles de usar”, se lee en el documento de soporte.

Una aplicación afectada es Malwarebytes, que dijo que “un porcentaje significativo de nuestro volumen total de casos de soporte” estaba relacionado con la nueva advertencia de extensión del kernel menos de 24 horas después del lanzamiento público de macOS 10.15.4.

Si su software tiene una extensión de kernel, probablemente ya esté inundado de preocupaciones de atención al cliente sobre el diálogo que se muestra aquí. Se va a poner mal. Un porcentaje significativo de nuestro volumen total de casos de soporte ahora se relaciona con esto, menos de 24 horas después. 🤦‍♂️ pic.twitter.com/PtALDgFM58

– Thomas Reed (@thomasareed) 25 de marzo de 2020

El director de Malwarebytes, Thomas Reed, dijo que Apple tiene un nuevo marco de EndpointSecurity como reemplazo de las extensiones del kernel:

Somos conscientes de esto y hemos estado trabajando para reemplazar nuestra extensión de kernel desde fines del año pasado. Planeamos reemplazarlo con el nuevo marco EndpointSecurity de Apple antes del lanzamiento de macOS 10.16, cuando se supone que las extensiones del kernel ya no funcionarán, en parte o en su totalidad. (Solo sabemos que Apple ha dicho que “no funcionará sin compromiso” en “una versión futura de macOS”. Pero preferimos no descubrir de la manera difícil exactamente qué significa eso).

La extensión del kernel continuará siendo compatible con macOS 10.14 (Mojave) y versiones anteriores, pero macOS 10.15 (y versiones posteriores) ya no la necesitarán, una vez que tengamos una actualización disponible.

Entonces, no hay necesidad de entrar en pánico. Todavía te respaldamos y no permitiremos que tu protección vacile. Todo lo que tiene que hacer es asegurarse de mantener actualizado Malwarebytes para Mac. Si ha actualizado al menos a la versión 4.2 y no ha deshabilitado la nueva función de actualización automática, se actualizará en segundo plano sin necesidad de hacer nada. Para asegurarse de que está actualizado, simplemente abra Malwarebytes y elija Buscar actualizaciones en el menú Malwarebytes.

Los detalles técnicos para desarrolladores están disponibles en un documento de Apple titulado “Extensiones de kernel obsoletas y alternativas de extensión del sistema”.

.